Bug 149605 - regression: khtml gets lost in infinite recursion each time I visit any page with google ad
Summary: regression: khtml gets lost in infinite recursion each time I visit any page ...
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-06 16:53 UTC by Dmitry Suzdalev
Modified: 2007-10-06 23:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Suzdalev 2007-09-06 16:53:39 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

Everytime I visit the webpage containing some google ad with konqueror from trunk (-r708980), it gets stuck in infinite loop.

Visually it looks like scrollbars are added around google ad, then immediately they are removed, then added again, then removed etc etc infinitely.

Here's for example the page that reproduces this for me:
http://lwn.net/Articles/248227/

Note again - any other page with google ad will do (at lest for me).

Also note, that this bug has been already reproduced by another kde dev (we met on #kde4-devel) :)
Comment 1 Dmitry Suzdalev 2007-09-06 17:00:07 UTC
Ah! Forgot the backtrace. It is similar every time i hit Ctrl-C in gdb running infinite-looped konqui :). Here it is:

#0  0xb69d5624 in QApplication::compressEvent (this=0xbfa392fc, event=0x90a04c8, receiver=0x8a420e0, postedEvents=0x8058e1c) at kernel/qapplication.cpp:1077
#1  0xb6815e72 in QCoreApplication::postEvent (receiver=0x8a420e0, event=0x90a04c8, priority=-1) at kernel/qcoreapplication.cpp:890
#2  0xb6a53be7 in QWidgetPrivate::dirtyWidget_sys (this=0x8d964c8, rgn=@0xbfa37870) at kernel/qwidget_x11.cpp:1448
#3  0xb6b805ab in QWidgetBackingStore::dirtyRegion (this=0x8061470, rgn=@0xbfa37960, widget=0x8a420e0) at painting/qbackingstore.cpp:639
#4  0xb6b809ed in QWidgetPrivate::invalidateBuffer (this=0x8d964c8, rgn=@0xbfa37960) at painting/qbackingstore.cpp:1261
#5  0xb6a59082 in QWidgetPrivate::setGeometry_sys (this=0x8ae5c28, x=0, y=0, w=468, h=47, isMove=false) at kernel/qwidget_x11.cpp:2185
#6  0xb6a1dc1f in QWidget::resize (this=0x8ae5f20, s=@0xbfa37b3c) at kernel/qwidget.cpp:4902
#7  0xb42bfbe5 in QWidget::resize (this=0x8ae5f20, w=468, h=47) at /home/ulet/kde-svn/qt-copy/include/QtGui/../../src/gui/kernel/qwidget.h:930
#8  0xb42a7207 in KHTMLView::resizeContents (this=0x8d9cfa8, w=468, h=47) at /home/ulet/kde-svn/kdelibs/khtml/khtmlview.cpp:590
#9  0xb42b4647 in KHTMLView::resizeEvent (this=0x8d9cfa8, e=0xbfa38260) at /home/ulet/kde-svn/kdelibs/khtml/khtmlview.cpp:719
#10 0xb6a20f74 in QWidget::event (this=0x8d9cfa8, event=0xbfa38260) at kernel/qwidget.cpp:6220
#11 0xb6d849b2 in QFrame::event (this=0x8d9cfa8, e=0xbfa38260) at widgets/qframe.cpp:657
#12 0xb6e161bb in QAbstractScrollArea::viewportEvent (this=0x8d9cfa8, e=0xbfa38260) at widgets/qabstractscrollarea.cpp:920
#13 0xb42a5d0f in KHTMLView::viewportEvent (this=0x8d9cfa8, e=0xbfa38260) at /home/ulet/kde-svn/kdelibs/khtml/khtmlview.cpp:1932
#14 0xb6e18d4a in QAbstractScrollAreaPrivate::viewportEvent (this=0x8db76a0, event=0xbfa38260) at widgets/qabstractscrollarea_p.h:95
#15 0xb6e18d7c in QAbstractScrollAreaFilter::eventFilter (this=0x89c4d70, o=0x8a420e0, e=0xbfa38260) at widgets/qabstractscrollarea_p.h:106
#16 0xb69cf1ac in QApplicationPrivate::notify_helper (this=0x8058d00, receiver=0x8a420e0, e=0xbfa38260) at kernel/qapplication.cpp:3550
#17 0xb69d0f6e in QApplication::notify (this=0xbfa392fc, receiver=0x8a420e0, e=0xbfa38260) at kernel/qapplication.cpp:3499
#18 0xb782c19b in KApplication::notify (this=0xbfa392fc, receiver=0x8a420e0, event=0xbfa38260) at /home/ulet/kde-svn/kdelibs/kdeui/kernel/kapplication.cpp:300
#19 0xb681644e in QCoreApplication::notifyInternal (this=0xbfa392fc, receiver=0x8a420e0, event=0xbfa38260) at kernel/qcoreapplication.cpp:532
#20 0xb69cbf63 in QCoreApplication::sendEvent (receiver=0x8a420e0, event=0xbfa38260) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:202
#21 0xb6a592e4 in QWidgetPrivate::setGeometry_sys (this=0x8d964c8, x=0, y=0, w=452, h=44, isMove=true) at kernel/qwidget_x11.cpp:2203
#22 0xb6a21908 in QWidget::setGeometry (this=0x8a420e0, r=@0xbfa385ac) at kernel/qwidget.cpp:4920
#23 0xb6e16f34 in QAbstractScrollAreaPrivate::layoutChildren (this=0x8db76a0) at widgets/qabstractscrollarea.cpp:430
#24 0xb6e16f5b in QAbstractScrollAreaPrivate::_q_showOrHideScrollBars (this=0x8db76a0) at widgets/qabstractscrollarea.cpp:1192
#25 0xb6e174d6 in QAbstractScrollArea::qt_metacall (this=0x8d9cfa8, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x90a0ee0) at .moc/debug-shared/moc_qabstractscrollarea.cpp:78
#26 0xb6f8da15 in QScrollArea::qt_metacall (this=0x8d9cfa8, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0x90a0ee0) at .moc/debug-shared/moc_qscrollarea.cpp:61
#27 0xb42b474c in KHTMLView::qt_metacall (this=0x8d9cfa8, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0x90a0ee0) at /home/ulet/kde-svn/build/kdelibs/khtml/khtmlview.moc:81
#28 0xb682352c in QMetaCallEvent::placeMetaCall (this=0x8f835b0, object=0x8d9cfa8) at kernel/qobject.cpp:538
#29 0xb682887b in QObject::event (this=0x8d9cfa8, e=0x8f835b0) at kernel/qobject.cpp:1121
#30 0xb6a217f7 in QWidget::event (this=0x8d9cfa8, event=0x8f835b0) at kernel/qwidget.cpp:6448
#31 0xb6d849b2 in QFrame::event (this=0x8d9cfa8, e=0x8f835b0) at widgets/qframe.cpp:657
#32 0xb6e171b1 in QAbstractScrollArea::event (this=0x8d9cfa8, e=0x8f835b0) at widgets/qabstractscrollarea.cpp:876
#33 0xb6e1dc2f in QScrollArea::event (this=0x8d9cfa8, e=0x8f835b0) at widgets/qscrollarea.cpp:284
#34 0xb42b0af0 in KHTMLView::event (this=0x8d9cfa8, e=0x8f835b0) at /home/ulet/kde-svn/kdelibs/khtml/khtmlview.cpp:464
#35 0xb69cf231 in QApplicationPrivate::notify_helper (this=0x8058d00, receiver=0x8d9cfa8, e=0x8f835b0) at kernel/qapplication.cpp:3558
#36 0xb69d0f6e in QApplication::notify (this=0xbfa392fc, receiver=0x8d9cfa8, e=0x8f835b0) at kernel/qapplication.cpp:3499
#37 0xb782c19b in KApplication::notify (this=0xbfa392fc, receiver=0x8d9cfa8, event=0x8f835b0) at /home/ulet/kde-svn/kdelibs/kdeui/kernel/kapplication.cpp:300
#38 0xb681644e in QCoreApplication::notifyInternal (this=0xbfa392fc, receiver=0x8d9cfa8, event=0x8f835b0) at kernel/qcoreapplication.cpp:532
#39 0xb6819793 in QCoreApplication::sendEvent (receiver=0x8d9cfa8, event=0x8f835b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:202
#40 0xb6816925 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8058e08) at kernel/qcoreapplication.cpp:1106
#41 0xb6816a7b in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:994#42 0xb6a64fec in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:207#43 0xb6a643ea in QEventDispatcherX11::processEvents (this=0x805d1d0, flags=@0xbfa3917c) at kernel/qeventdispatcher_x11.cpp:70#44 0xb68133d6 in QEventLoop::processEvents (this=0xbfa391f0, flags=@0xbfa391b4) at kernel/qeventloop.cpp:141
Comment 2 Allan Sandfeld 2007-09-10 10:40:42 UTC
Confirmed in KDE4
Comment 3 Germain Garand 2007-10-06 23:49:55 UTC
SVN commit 722202 by ggarand:

- fix ugly transitory 100x30 white rectangle that appears on top left on startup
- fix scrollbar flicker

BUG: 149605


 M  +7 -12     khtmlview.cpp  
 M  +1 -0      khtmlview.h  
 M  +2 -2      rendering/render_canvas.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=722202